# Uses of Enum
org.apache.zookeeper.ZooKeeper.States

Packages that use ZooKeeper.States
Package
Description
org.apache.zookeeper

## Uses of ZooKeeper.States in org.apache.zookeeper

Subclasses with type arguments of type ZooKeeper.States in org.apache.zookeeper
Modifier and Type
Class
Description
`static enum`
`ZooKeeper.States`
Methods in org.apache.zookeeper that return ZooKeeper.States
Modifier and Type
Method
Description
`ZooKeeper.States`
ZooKeeper.`getState()`
`static ZooKeeper.States`
ZooKeeper.States.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static ZooKeeper.States[]`
ZooKeeper.States.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.